<!DOCTYPE html>
<html>
<head>
    <title>Gestion entrepots - page1</title>
    <link rel='stylesheet' href='/stylesheets/style.css'/>
</head>
<body>

<div class="flex">
<div>
    <h1>Gestion commerciale : </h1>
    <button id="deliveryGestComButton"
            onclick="document.getElementById('deliveryGestComList').style.visibility='visible'">Lister les livraisons
        magasin
    </button>
    <div id="deliveryGestComList" style="visibility: hidden">
        <% if (deliveryList !== undefined){ %>
            <table>
                <thead>
                <tr>
                    <td>id</td>
                    <td>date</td>
                    <td>delivery date</td>
                    <td>product id</td>
                    <td>quantity</td>
                </tr>
                </thead>
                <tbody>

                <% for(var i = 0;  i < deliveryList.length; i++) { %>
                    <tr>
                        <td>
                            <%= deliveryList[i].id %>
                        </td>
                        <td>
                            <%= deliveryList[i]["date"] %>
                        </td>
                        <td>
                            <%= deliveryList[i]["delivery_date"] %>
                        </td>
                        <td>
                            <%= deliveryList[i]["product_id"] %>
                        </td>
                        <td>
                            <%= deliveryList[i]["quantity"] %>
                        </td>
                    </tr>
                <% } %>
                </tbody>
            </table>
        <% } else { %>
            Pas de livraisons magasins à afficher
        <% } %>
    </div>
</div>

<div>
<h1>E-commerce</h1>
<button id="sales-btn" onclick="document.getElementById('sales-list').style.visibility='visible'">Lister les livraisons e-commerce</button>
<div id="sales-list" style="visibility:hidden">
    <% if (sales !== undefined){%>
    <table>
        <thead>
        <tr>
            <td>id</td>
            <td>date</td>
            <td>delivery-address</td>
            <td>products</td>
        </tr>
        </thead>

        <tbody>
        <% for(var i = 0;  i < sales.length; i++) { %>
            <tr>
                <td>
                    <%= sales[i].id %>
                </td>
                <td>
                    <%= sales[i].date %>
                </td>
                <td>
                    <%= sales[i]["delivery-address"]["country"] %>
                </td>
                <td>
                    <li>
                        <% for(var j = 0;  j < sales[i]["product-quantity-map"].length; j++) { %>
                            <%= sales[i]["product-quantity-map"][j]["product-code"] %> : <%= sales[i]["product-quantity-map"][j].quantity %>
                        <% } %>
                    </li>
                </td>
            </tr>
        <% } %>
        </tbody>
    </table>
    <% } %>
</div>
</div>

<div>
<h1>Fournisseur</h1>
<button id="supplierOrderButton" onclick="document.getElementById('supplierOrderList').style.visibility='visible'">Lister les commandes fournisseur</button>
<div id="supplierOrderList" style="visibility:hidden">
            <% if (supplierOrderList !== undefined){%>
                <table>
                    <thead>
                    <tr>
                        <td>provider-id</td>
                        <td>invoice-id/td>
                        <td>order-id</td>
                        <td>delivery-date</td>
                        <td>products</td>
                    </tr>
                    </thead>

                    <tbody>
                    <% for(var i = 0;  i < supplierOrderList.length; i++) { %>
                        <tr>
                            <td>
                                <%= supplierOrderList[i]["provider-id"] %>
                            </td>
                            <td>
                                <%= supplierOrderList[i]["invoice-id"] %>
                            </td>
                            <td>
                                <%= supplierOrderList[i]["order-id"] %>
                            </td>
                            <td>
                                <%= supplierOrderList[i]["delivery-date"] %>
                            </td>
                            <td>
                                <li>
                                    <% for(var j = 0;  j < supplierOrderList[i]["product-quantity-map"].length; j++) { %>
                                        <%= supplierOrderList[i]["product-quantity-map"][j]["product-code"] %> : <%= supplierOrderList[i]["product-quantity-map"][j].quantity %>
                                    <% } %>
                                </li>
                            </td>
                        </tr>
                    <% } %>
                    </tbody>
                </table>
            <% } %>
        </div>
</div>

</div>
</body>
</html>
